g2bAPI Reference
Runs

Get a run

Returns one durable agent run, including status, timestamps, usage, and terminal state.

GET
/v1/runs/{id}

Returns one durable agent run, including status, timestamps, usage, and terminal state.

Authorization

bearerAuth
AuthorizationBearer <token>

Create an API key in g2b Settings, then send it as a Bearer token.

In: header

Path Parameters

id*string
Length1 <= length <= 256

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/runs/string"
{  "id": "string",  "task_id": "string",  "project_id": "string",  "message_id": "string",  "status": "queued",  "attempt": 0,  "harness": "string",  "model": "string",  "reasoning_effort": "string",  "sandbox_id": "string",  "error": {    "code": "string",    "message": "string",    "detail": "string"  },  "usage": {    "inputTokens": 0,    "outputTokens": 0,    "totalTokens": 0  },  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z",  "started_at": "2019-08-24T14:15:22Z",  "completed_at": "2019-08-24T14:15:22Z",  "terminal": true}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": "Unauthorized"}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}